Module tdlight.api
Package it.tdlight.jni

# Class TdApi.CreateVideoChat

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.GroupCallId>
it.tdlight.jni.TdApi.CreateVideoChat

Enclosing class:
  TdApi

public static final class TdApi.CreateVideoChat extends TdApi.Function<TdApi.GroupCallId>
Creates a video chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVideoChats administrator right.

Returns `GroupCallId`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Identifier of a chat in which the video chat will be created.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isRtmpStream`
Pass true to create an RTMP stream instead of an ordinary video chat; requires owner privileges.
`int`
`startDate`
Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the video chat immediately.
`String`
`title`
Group call title; if empty, chat title will be used.

## Constructor Summary

Constructors
Constructor
Description
`CreateVideoChat()`
Creates a video chat (a group call bound to a chat).
`CreateVideoChat(long chatId, String title, int startDate, boolean isRtmpStream)`
Creates a video chat (a group call bound to a chat).
`CreateVideoChat(DataInput input)`
Creates a video chat (a group call bound to a chat).

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of a chat in which the video chat will be created.

### title

public String title
Group call title; if empty, chat title will be used.

### startDate

public int startDate
Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the video chat immediately. The date must be at least 10 seconds and at most 8 days in the future.

### isRtmpStream

public boolean isRtmpStream
Pass true to create an RTMP stream instead of an ordinary video chat; requires owner privileges.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### CreateVideoChat

public CreateVideoChat()
Creates a video chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVideoChats administrator right.

Returns `GroupCallId`

### CreateVideoChat

public CreateVideoChat(long chatId, String title, int startDate, boolean isRtmpStream)
Creates a video chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVideoChats administrator right.

Returns `GroupCallId`

Parameters:
  `chatId` - Identifier of a chat in which the video chat will be created.
  `title` - Group call title; if empty, chat title will be used.
  `startDate` - Point in time (Unix timestamp) when the group call is supposed to be started by an administrator; 0 to start the video chat immediately. The date must be at least 10 seconds and at most 8 days in the future.
  `isRtmpStream` - Pass true to create an RTMP stream instead of an ordinary video chat; requires owner privileges.

  Returns `GroupCallId`

### CreateVideoChat

public CreateVideoChat(DataInput input) throws IOException
Creates a video chat (a group call bound to a chat). Available only for basic groups, supergroups and channels; requires canManageVideoChats administrator right.

Returns `GroupCallId`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`